Skip to content
Skip to main content
GET
/v3/admin/applications/{application_id}/api-keys/{api_key_id}

Get API keyBeta

⚠️ Before you can use the Manage API Keys endpoints, you need to create a Nylas Service Account.

Returns the specified API key.

NYLAS API KEYACCESS TOKEN

Parameters

Path parameters

application_id*string

ID of the Nylas application to access.

api_key_id*string

ID of the API key to access.

Header parameters

X-Nylas-Signature*string

A Base64-encoded signature using your private key's RSA with a 2048-bit key and an SHA-256 hashed string of the path, method, timestamp, nonce, and payload.

X-Nylas-Kid*string

The private_key_id from your Service Account JSON file.

X-Nylas-Nonce*string

A randomly generated nonce. Each request needs to have a unique nonce. If you try to reuse a nonce, Nylas rejects the request.

X-Nylas-Timestamp*number

The time when you submit your request, in seconds using the Unix timestamp format. This timestamp should fall within a 5-minute window of your real request time.

Responses

request_idstring

The request ID.

dataobject
GEThttps://api.us.nylas.com/v3/admin/applications/{application_id}/api-keys/{api_key_id}

Find your API key in the Nylas Dashboard under API Keys in your application settings.

application_idrequiredstring

ID of the Nylas application to access.

api_key_idrequiredstring

ID of the API key to access.